# TODO
# do --enable-dav switch

Summary:	AVFS - A Virtual Filesystem
Summary(pl.UTF-8):	AVFS - wirtualny system plików
Name:		avfs
Version:	1.1.4
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	https://downloads.sourceforge.net/avf/%{name}-%{version}.tar.bz2
# Source0-md5:	c333462d744aeab2e6bee7a1af02350e
URL:		http://sourceforge.net/projects/avf/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	libfuse-devel >= 2.6.0
BuildRequires:	libtool
BuildRequires:	lzlib-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
BuildRequires:	zstd-devel
Requires:	libfuse >= 2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AVFS is a system, which enables all programs to look inside archived
or compressed files, or access remote files without recompiling the
programs or changing the kernel.

At the moment it supports floppies, tar and gzip files, zip, bzip2, ar
and rar files, FTP sessions, http, webdav, rsh/rcp, ssh/scp. Quite a
few other handlers are implemented with the Midnight Commander's
external FS.

%description -l pl.UTF-8
AVFS to system, który umożliwia wszystkim programom zaglądanie do
zarchiwizowanych lub skompresowanych plików lub dostęp do zdanych
plików bez rekompilacji programów lub zmiany jądra.

Aktualnie obsługuje dyskietki, pliki tar, gzip, zip, bzip2, ar i rar,
sesje FTP, http, webdav, rsh/rcp, ssh/scp. Jest też trochę innych
procedur obsługi zaimplementowanych z użyciem extfs (zewnętrznych
systemów plików) Midnight Commandera.

%package devel
Summary:	Header files for avfs library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki avfs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The avfs-devel package includes the header files necessary for
developing programs using the avfs library.

%description devel -l pl.UTF-8
Pakiet avfs-devel zawiera pliki nagłówkowe niezbędne do budowania
programów używających biblioteki avfs.

%package static
Summary:	Static avfs library
Summary(pl.UTF-8):	Statyczna biblioteka avfs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
This package contains the static version of avfs library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki avfs.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	EMACS=%{_bindir}/emacs \
	PERL=%{_bindir}/perl \
	ZIP=%{_bindir}/zip \
	UNZIP=%{_bindir}/unzip \
	--disable-avfscoda \
	--disable-dav \
	--enable-fuse \
	--enable-library \
	--with-system-bzlib \
	--with-system-zlib \
	--with-xz \
	--with-zstd
# Comment:
# I've no idea how to build this package with dav option with expat-devel  --blekot
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README doc/README.avfs-fuse
%attr(755,root,root) %{_libdir}/libavfs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavfs.so.0
%attr(755,root,root) %{_bindir}/avfsd
%attr(755,root,root) %{_bindir}/davpass
%attr(755,root,root) %{_bindir}/ftppass
%attr(755,root,root) %{_bindir}/mountavfs
%attr(755,root,root) %{_bindir}/umountavfs
%{_libdir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avfs-config
%attr(755,root,root) %{_libdir}/libavfs.so
%{_libdir}/libavfs.la
%{_includedir}/*.h
%{_pkgconfigdir}/avfs.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libavfs.a
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/avfs.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 3c8b510
- rebuild with separate debuginfo build-ids

* Fri Apr 09 2021 Jan Palus <atler@pld-linux.org> eadecc6
- up to 1.1.4

* Thu Aug 13 2020 Jan Palus <atler@pld-linux.org> 859cabe
- up to 1.1.3

* Mon Apr 27 2020 Jan Palus <atler@pld-linux.org> 99a06f5
- up to 1.1.2

* Sat Aug 10 2019 Jan Palus <atler@pld-linux.org> 235cc8d
- up to 1.1.1

* Sun Nov 25 2018 Jan Palus <atler@pld-linux.org> 444eb55
- up to 1.0.6

* Mon Mar 26 2012 blekot <blekot@pld-linux.org> e2d599b
- typo

* Thu Mar 22 2012 blekot <blekot@pld-linux.org> f288bc2
- corrected last comment

* Thu Mar 22 2012 blekot <blekot@pld-linux.org> 3baa3f4
- up to 1.0.0
- patch0 taken from official repo (will be included in next version)

* Sat Aug 25 2007 Jakub Bogusz <qboosh@pld-linux.org> d0b65ff
- include .so symlink in -devel
- dav left disabled (requires outdated neon)

* Sun Aug 12 2007 maciek2w <maciek2w@pld-linux.org> 0f8ead4
- updated to 0.9.8

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c136629
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6d44e6d
- converted to UTF-8

* Thu Aug 31 2006 wolf <wolf@pld-linux.org> 5d6afb8
- cosmetics

* Sun Aug 27 2006 piti <piti@pld-linux.org> 7ea1f3b
- up to version 0.9.7, building with --enable-library option
- separated subpackages devel and static

* Thu Jul 28 2005 blekot <blekot@pld-linux.org> 892fcbe
- reverted last commit

* Wed Jul 27 2005 blekot <blekot@pld-linux.org> f8ea324
- up to 0.9.6
- TODO added
- now builds, but without dav
- more %files and %make install added

* Fri Mar 25 2005 darekr <darekr@pld-linux.org> 3dc2ac7
- unified

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> 93c66e1
- "FTP" unification

* Sat Mar 20 2004 ankry <ankry@pld-linux.org> cec586f
- massive change: BR openssl-devel >= 0.9.7d

